Bug 547058 - audio-convert-mod crashes on Fedora 12
Summary: audio-convert-mod crashes on Fedora 12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audio-convert-mod
Version: 12
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Stewart Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-13 12:54 UTC by Dubh
Modified: 2010-01-02 03:39 UTC (History)
1 user (show)

Fixed In Version: 3.46.0b-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-02 03:28:26 UTC


Attachments (Terms of Use)
bug report (541 bytes, text/plain)
2009-12-13 12:56 UTC, Dubh
no flags Details

Description Dubh 2009-12-13 12:54:10 UTC
Description of problem:
audio-convert-mod crashes on Fedora 12

Version-Release number of selected component (if applicable):
3.46.0a

How reproducible:
Launch audio-convert-mod.
Choose file or files to convert.
Click 'Next'.
Bug Report Window appears.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/audio-convert-mod/acm-runapp.pyw", line 867, in on_mainNextButton_clicked
    resample = prefs.get('Defaults', 'Resample')
  File "/usr/share/audio-convert-mod/audio_convert_mod/config.py", line 108, in get
    value = self.config.get(section, prop)
  File "/usr/lib/python2.6/ConfigParser.py", line 540, in get
    raise NoOptionError(option, section)
NoOptionError: No option 'Resample' in section: 'Defaults'


Expected results:
Audio Conversion.

Additional info:
2.6.31.6-166.fc12.i686.PAE

Comment 1 Dubh 2009-12-13 12:56:59 UTC
Created attachment 377982 [details]
bug report

Comment 2 Stewart Adam 2009-12-13 21:41:43 UTC
Thanks for reporting this, this was actually fixed upstream just a few days ago with the release of 3.46.0b. I'll update the Fedora packages soon.

Comment 3 Dubh 2009-12-13 22:34:21 UTC
(In reply to comment #2)
> Thanks for reporting this, this was actually fixed upstream just a few days ago
> with the release of 3.46.0b. I'll update the Fedora packages soon.  

That's great. And thanks for your swift reply.

Comment 4 Fedora Update System 2009-12-15 06:40:17 UTC
audio-convert-mod-3.46.0b-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/audio-convert-mod-3.46.0b-1.fc11

Comment 5 Fedora Update System 2009-12-15 06:40:23 UTC
audio-convert-mod-3.46.0b-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/audio-convert-mod-3.46.0b-1.fc12

Comment 6 Fedora Update System 2009-12-16 01:23:47 UTC
audio-convert-mod-3.46.0b-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audio-convert-mod'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13263

Comment 7 Fedora Update System 2010-01-02 03:28:21 UTC
audio-convert-mod-3.46.0b-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-01-02 03:39:36 UTC
audio-convert-mod-3.46.0b-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.